#!/bin/sh
export PATH='/usr/lib/distcc/bin:/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name: monad-par
version: 0.3.4.8
id: monad-par-0.3.4.8-73MDniBlugD8L8eTzpiIpe
key: monad-par-0.3.4.8-73MDniBlugD8L8eTzpiIpe
license: BSD3
copyright: (c) Simon Marlow 2011
maintainer: Simon Marlow <marlowsd@gmail.com>, Ryan Newton <rrnewton@gmail.com>
stability: Experimental
homepage: https://github.com/simonmar/monad-par
synopsis: A library for parallel programming based on a monad
description:
    The '\''Par'\'' monad offers a simple API for parallel programming.  The
    library works for parallelising both pure and @IO@ computations,
    although only the pure version is deterministic.  The default
    implementation provides a work-stealing scheduler and supports
    forking tasks that are much lighter weight than IO-threads.
    .
    For complete documentation see "Control.Monad.Par".
    .
    Some examples of use can be found in the @examples/@ directory of
    the source package.
    .
    Other related packages:
    .
    * @abstract-par@ provides the type classes that abstract over different
    implementations of the @Par@ monad.
    .
    * @monad-par-extras@ provides extra combinators and monad transformers layered on top of
    the @Par@ monad.
    .
    Changes in 0.3.4 relative to 0.3:
    .
    * Fix bugs that cause "thread blocked indefinitely on MVar" crashes.
    .
    * Added "Control.Monad.Par.IO"
category: Control,Parallelism,Monads
author: Simon Marlow, Ryan Newton
exposed: True
indefinite: False
exposed-modules:
    Control.Monad.Par Control.Monad.Par.IO
    Control.Monad.Par.Scheds.Direct Control.Monad.Par.Scheds.Sparks
    Control.Monad.Par.Scheds.Trace
    Control.Monad.Par.Scheds.TraceInternal
hidden-modules: Control.Monad.Par.Scheds.DirectInternal
abi: c4d232051c8a307cf77649c5324e7bcc
trusted: False
import-dirs: /usr/lib/ghc-8.2.1/site-local/monad-par-0.3.4.8
library-dirs: /usr/lib/ghc-8.2.1/site-local/monad-par-0.3.4.8
dynamic-library-dirs: /usr/lib
data-dir: /usr/share/arm-linux-ghc-8.2.1/monad-par-0.3.4.8
hs-libraries: HSmonad-par-0.3.4.8-73MDniBlugD8L8eTzpiIpe
depends:
    base-4.10.0.0 abstract-par-0.3.3-5IZBJH84Xee8CclC3iNYtW
    abstract-deque-0.3-GrgiPXB2fbbKYfNSIYfZyO
    monad-par-extras-0.3.3-3icVk6zvwBu5HezLSKg3a8 deepseq-1.4.3.0
    array-0.5.2.0 mwc-random-0.13.6.0-9isDaETTkAQ4w6DSIRGQbB
    containers-0.5.10.2 parallel-3.2.1.1-BDA8bigzIyf7HfOpmZ9w2K
    mtl-2.2.1-19EL8AGBsN3DnnOhrC9xY3
abi-depends: base-4.10.0.0=32d562aa6d04d35ac79a0f49c17325ff
             abstract-par-0.3.3-5IZBJH84Xee8CclC3iNYtW=a265ce091bbfcea0c9b2362c53b8a5e8
             abstract-deque-0.3-GrgiPXB2fbbKYfNSIYfZyO=008a81f130e66b891a38a1dad3a0ddd0
             monad-par-extras-0.3.3-3icVk6zvwBu5HezLSKg3a8=5a469abe94c66905497091e4cfa5366f
             deepseq-1.4.3.0=15f2832424b38ea5b23f1ebc9071dcc3
             array-0.5.2.0=5abf025fb7bf60079ec1f42bab285152
             mwc-random-0.13.6.0-9isDaETTkAQ4w6DSIRGQbB=37879dc7727b997b0a1807fa5f0e56da
             containers-0.5.10.2=e086202b65ca66a107fcba9d846fc3e0
             parallel-3.2.1.1-BDA8bigzIyf7HfOpmZ9w2K=d3c5e50fff73217cc80d767e7d27ed7e
             mtl-2.2.1-19EL8AGBsN3DnnOhrC9xY3=5531911f09693672654e6de645ce55e7
haddock-interfaces: /usr/share/doc/haskell-monad-par/html/monad-par.haddock
haddock-html: /usr/share/doc/haskell-monad-par/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

